IBM Java 7.0 < 7.0.10.85 / 7.1 < 7.1.4.85 / 8.0 < 8.0.6.30 / 11.0 < 11.0.11.0 の複数の脆弱性

medium Nessus プラグイン ID 160370

概要

IBM Java は、複数の脆弱性による影響を受けます。

説明

リモートホストにインストールされている IBM Java のバージョンは、7.0 < 7.0.10.85 / 7.1 < 7.1.4.85 / 8.0 < 8.0.6.30 / 11.0 < 11.0.11.0 より前です。したがって、Oracle の 2021 年 4 月 20 日の CPU アドバイザリに記載されている複数の脆弱性の影響を受けます。

- Oracle Java SE の Java SE、Java SE Embedded、Oracle GraalVM Enterprise Edition 製品の脆弱性 (コンポーネント: ライブラリ)。サポートされているバージョンで影響を受けるのは、Java SE: 7u291、8u281、11.0.10、16。
Java SE Embedded: 8u281。Oracle GraalVM Enterprise Edition:19.3.5、20.3.1.2、および 21.0.0.2で構成されています。悪用が難しい脆弱性ですが、認証されていない攻撃者が複数のプロトコルを使用してネットワークにアクセスし、Java SE、Java SE Embedded、Oracle GraalVM Enterprise Editionを侵害する可能性があります。この脆弱性に対する攻撃が成功すると、重要なデータやJava SE、Java SE Embedded、Oracle GraalVM Enterprise Editionがアクセスできるすべてのデータが権限なしで作成、削除、変更される可能性があります。注: この脆弱性は、信頼できないコード (インターネットからのコードなど) を読み込んで実行し、セキュリティを Java サンドボックスに依存する Java デプロイメントが対象です。これは、指定されたコンポーネントの API に信頼できないデータを供給することでも悪用される可能性があります。(CVE-2021-2161)

- Oracle Java SE の Java SE、Java SE Embedded、Oracle GraalVM Enterprise Edition 製品の脆弱性 (コンポーネント: ライブラリ)。サポートされているバージョンで影響を受けるのは、Java SE: 7u291、8u281、11.0.10、16。
Java SE Embedded: 8u281。Oracle GraalVM Enterprise Edition:19.3.5、20.3.1.2、および 21.0.0.2で構成されています。悪用が難しい脆弱性ですが、認証されていない攻撃者が複数のプロトコルを使用してネットワークにアクセスし、Java SE、Java SE Embedded、Oracle GraalVM Enterprise Editionを侵害する可能性があります。この攻撃が成功するには、攻撃者以外の人物の関与が必要です。この脆弱性に対する攻撃が成功すると、重要なデータやJava SE、Java SE Embedded、Oracle GraalVM Enterprise Editionがアクセスできるすべてのデータが権限なしで作成、削除、変更される可能性があります。注: この脆弱性は、信頼できないコード (インターネットからのコードなど) を読み込んで実行し、セキュリティを Java サンドボックスに依存する Java デプロイメントが対象です。(CVE-2021-2163)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Oracle の 2021 年 4 月 20 日の CPU アドバイザリに従って、適切なパッチを適用してください。

関連情報

http://www-01.ibm.com/support/docview.wss?uid=swg1IJ32229

http://www-01.ibm.com/support/docview.wss?uid=swg1IJ32230

http://www.nessus.org/u?38e3821d

プラグインの詳細

深刻度: Medium

ID: 160370

ファイル名: ibm_java_2021_04_20.nasl

バージョン: 1.2

タイプ: local

エージェント: windows, macosx, unix

ファミリー: Misc.

公開日: 2022/4/29

更新日: 2022/4/29

構成: 徹底的なチェックを有効にする

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

Base Score: 4.3

Temporal Score: 3.2

ベクトル: AV:N/AC:M/Au:N/C:N/I:P/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-2161

CVSS v3

リスクファクター: Medium

Base Score: 5.9

Temporal Score: 5.2

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:ibm:java

必要な KB アイテム: installed_sw/Java

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/4/20

脆弱性公開日: 2021/4/20

参照情報

CVE: CVE-2021-2161, CVE-2021-2163

IAVA: 2021-A-0195